=== modules/avpops/Makefile ===
# $Id: Makefile 4400 2008-06-17 13:43:35Z henningw $
#
# avpops module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=avpops.so
LIBS= 

include ../../Makefile.modules
