=== modules/db_flatstore/Makefile ===
# $Id: Makefile 3642 2008-02-06 15:46:09Z henningw $
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_flatstore.so

include ../../Makefile.modules
