=== modules/db_text/Makefile ===
# $Id: Makefile 3642 2008-02-06 15:46:09Z henningw $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

# extra debug messages
DEFS+=-DDBT_EXTRA_DEBUG
 
include ../../Makefile.defs
auto_gen=
NAME=db_text.so
LIBS=

include ../../Makefile.modules
