=== modules/dialplan/Makefile ===
# $Id:$
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=dialplan.so
LIBS= 

include ../../Makefile.modules
