=== packaging/debian/control ===
Source: opensips
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Julien BLACHE <jblache@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 5), dpatch, libmysqlclient15-dev, libexpat1-dev, libxml2-dev, libpq-dev, libradiusclient-ng-dev, flex, bison, zlib1g-dev, unixodbc-dev, libxmlrpc-c3-dev, libperl-dev, libsnmp-dev, dpkg-dev (>= 1.13.19), libdb-dev (>= 4.6.19), xsltproc, libconfuse-dev, libldap2-dev, libcurl4-gnutls-dev
Standards-Version: 3.8.0
Homepage: http://www.opensips.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/opensips/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/opensips/?op=log

Package: opensips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: opensips-mysql-module, opensips-postgres-module, opensips-unixodbc-module, opensips-jabber-module, opensips-cpl-module, opensips-radius-modules, opensips-presence-modules, opensips-xmlrpc-module, opensips-perl-modules, opensips-snmpstats-module, opensips-xmpp-module, opensips-carrierroute-module, opensips-berkeley-module, opensips-ldap-modules, python
Description: very fast and configurable SIP server
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 Among others, the following modules are available: Digest Authentication, CPL
 scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
 Module, Registrar and User Location, XMLRPC Interface.
 .
 This package contains the main OpenSIPS binary along with the principal modules
 and support binaries.

Package: opensips-dbg
Priority: extra
Architecture: any
Depends: opensips (= ${binary:Version})
Conflicts: opensips (<< ${binary:Version})
Description: very fast and configurable SIP server [debug symbols]
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package contains the debugging symbols for the OpenSIPS binaries and
 modules. You only need to install it if you need to debug OpenSIPS.

Package: opensips-mysql-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version}), mysql-client
Description: MySQL database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for OpenSIPS.

Package: opensips-postgres-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version}), postgresql-client
Description: PostgreSQL database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for OpenSIPS.

Package: opensips-jabber-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: Jabber gateway module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to Jabber translator module for OpenSIPS.

Package: opensips-cpl-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: CPL module (CPL interpreter engine) for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 OpenSIPS, turning OpenSIPS into a CPL server (storage and interpreter).

Package: opensips-radius-modules
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: radius modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of Radius modules for OpenSIPS, for
 authentication, group membership and messages URIs checking against a
 Radius Server.

Package: opensips-unixodbc-module 
Architecture: any 
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: unixODBC database connectivity module for OpenSIPS 
 OpenSIPS is a very fast and flexible SIP (RFC3261) 
 server. Written entirely in C, OpenSIPS can handle thousands calls 
 per second even on low-budget hardware. 
 . 
 This package provides the unixODBC database driver for OpenSIPS. 

Package: opensips-presence-modules
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: SIMPLE presence modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several OpenSIPS modules for implementing presence
 server and presence user agent for RICH presence, registrar-based presence,
 external triggered presence and XCAP support.

Package: opensips-xmlrpc-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: XMLRPC support for OpenSIPS's Management Interface
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the XMLRPC transport implementation for OpenSIPS's
 Management Interface.

Package: opensips-perl-modules
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: Perl extensions and database driver for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides an interface for OpenSIPS to write Perl extensions and
 the perlvdb database driver for OpenSIPS.

Package: opensips-snmpstats-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version}), snmpd
Description: SNMP AgentX subagent module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the snmpstats module for OpenSIPS. This module acts
 as an AgentX subagent which connects to a master agent.

Package: opensips-xmpp-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: XMPP gateway module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to XMPP IM translator module for OpenSIPS.

Package: opensips-carrierroute-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: Carrierroute module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the carrierroute module for OpenSIPS, an integrated
 solution for routing, balancing and blacklisting.

Package: opensips-berkeley-module
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version}), db4.6-util
Description: Berkeley Database module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the berkeley database module for OpenSIPS, a
 high-performance embedded DB kernel. All database tables are stored
 in files, no additional server is necessary.

Package: opensips-ldap-modules
Architecture: any
Depends: ${shlibs:Depends}, opensips (= ${binary:Version})
Description: LDAP modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the ldap and h350 modules for OpenSIPS, enabling LDAP
 queries from the OpenSIPS config and storage of SIP account data in an LDAP
 directory.
